/*
 * ws2812.h
 *
 * Created: 14.10.2019 09:45:59
 *  Author: steigemann
 */ 


#ifndef WS2812_H_
#define WS2812_H_

#define WS2812_PORT      PORTB     // define WS2812 port
#define WS2812_PIN_bm    PIN0_bm   // define pin bitmask
#define WS2812_LEDCNT    5         // number of connected LEDs in series
#define WS2812_DATALEN   (3 * WS2812_LEDCNT)

void WS2812_init(void);

void WS2812_update(void);

void WS2812_set_color(uint8_t r, uint8_t g, uint8_t b, uint8_t index);



#endif /* WS2812_H_ */